import React, { Component } from 'react';
import style from './index.less';
import close from './../img/close.png';

class DrugInfo extends Component {
    constructor(props) {
        super(props);
    }

    render() {
        const { drugInfo, hideDrugInfo } = this.props
        return (<div className={style['drug-info-wrapper']}>
                <h3 className={style['drug-title']}>{drugInfo.title}说明书  <img src={close} onClick={hideDrugInfo} className={style['close-drug-desc']}/> </h3>
                { drugInfo && drugInfo.drugDesc.length > 0 && <div className={style['drug-desc-wrapper']}>
                    <div className={style['drug-title1']}>{drugInfo.title}说明书</div>
                    {drugInfo.drugDesc.map((item, index) =>{
                        return <div className={style['drug-desc-item']}><span className={style['drug-desc-title']}>{item.title}</span> <span className={style['drug-desc-content']} dangerouslySetInnerHTML ={{__html: item.content}}></span> </div>
                    })}
                </div> }
                { !drugInfo || (drugInfo && drugInfo.drugDesc.length === 0) && <div className={style['drug-desc-wrapper']}>
                    <div>
                        该药品暂无说明
                    </div>
                    
                </div> }

        </div>)
    }
}

export default DrugInfo;